Page Summary
-
The lookupLandscape method retrieves landscape data for a given geographical location.
-
The HTTP request is a POST request to
https://agriculturalunderstanding.googleapis.com/v1:lookupLandscape. -
The request body requires a
locationSpecifierand optionally includesdataVersion,includeNonAgriculturalAreas, andcaptureDate. -
The response body contains a
landscapeobject which includesdataVersionand the landscape data as a GeoJSON string.
Lookup landscape data at a given geographical location.
HTTP request
POST https://agriculturalunderstanding.googleapis.com/v1:lookupLandscape
The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "locationSpecifier": { object ( |
| Fields | |
|---|---|
locationSpecifier |
Required. The location specifier of the landscape. |
dataVersion |
Optional. The version of the data. If not specified, the latest version will be returned. |
includeNonAgriculturalAreas |
Optional. If true, non-agricultural areas (e.g. deserts, hills, cities, etc.) will be included in the response. |
captureDate |
Optional. If specified, only landscape data captured on this date will be returned. |
Response body
Response message for v1.lookupLandscape method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"landscape": {
object ( |
| Fields | |
|---|---|
landscape |
The landscape data. |
Landscape
Landscape data.
| JSON representation |
|---|
{
"dataVersion": {
object ( |
| Fields | |
|---|---|
dataVersion |
The data version of the landscape. |
geojson |
The landscape data as a GeoJSON string. The type of the object is FeatureCollection. See the Feature property for more details about the properties of Feature objects in the FeatureCollection. |